#### D.5.2.55 partOver

Procedure from library `chern.lib` (see chern_lib).

Usage:
  partOver( n, J); n integer, J list of integers (partition)

Return:
  list of lists

Purpose:
  computes the partitions over a given one with summands not exceeding n

Note:

Example:

    LIB "chern.lib";
    // Partitions over the partition (3, 3, 4) with summands not exceeding 4
    list I = 3, 3, 4;
    print( partOver(4, I) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.